﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Builder
{
    public partial class MainWindow : Form
    {
        public MainWindow()
        {
            InitializeComponent();

            treeView.AllowDrop = true;

            Component c = new Component();
            componentPage.Controls.Add(c);
        }

        private void quitMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void treeView_DragEnter(object sender, DragEventArgs e)
        {
            if (e.Data.GetDataPresent ("Builder.Component"))
               e.Effect = DragDropEffects.Copy;
        }

        private void treeView_DragDrop(object sender, DragEventArgs e)
        {
            if (e.Data.GetDataPresent("Builder.Component"))
            {
                Component c = e.Data.GetData("Builder.Component") as Component;

                TreeNode node = new TreeNode();
                node.Text = c.ToString();
                node.BackColor = c.BackColor;

                treeView.Nodes.Add (node);
            }

        }
    }
}
